package io.hmit.modules.serviceOrder.dao;

import io.hmit.common.dao.BaseDao;
import io.hmit.modules.serviceOrder.entity.UserEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 用户
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-01-27
 */
@Mapper
public interface UserDao extends BaseDao<UserEntity> {

    UserEntity getUserByUserId(Long userId);

    List<Long> getAllOrganizationStaff(Long userId);

    List<UserEntity> getOrgStaff(Long orgId);

}
